/// <reference types="vite/client" />

interface FolderData {
  id : string;
  type : string;
  name : string;
  langcode : string;
  parent : string | null;
  children : string[];
}

interface FileData {
  id : string;
  name : string;
  langcode : string;
  parent : string | null;
  type : string;
  thumbnail : string;
  path : string | null;
}

interface FolderDataApiResponse {
  [id : string] : FolderData | FileData;
}

declare var drupalSettings : {
  monarch_virtual_folder: {
    data_endpoint: string;
    module_root: string;
    starting_folder: string;
    link_target?: string;
  }
};
